loci.formats.gui

## Class ComboFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - loci.formats.gui.ComboFileFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.lang.Comparable

      public class ComboFileFilter
      extends javax.swing.filechooser.FileFilter
      implements java.io.FileFilter, java.lang.Comparable

  A file filter that recognizes files from a union of other filters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `desc` Description.
    `private javax.swing.filechooser.FileFilter[]` | `filts` List of filters to be combined.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComboFileFilter(javax.swing.filechooser.FileFilter[] filters, java.lang.String description)` Constructs a new filter from a list of other filters.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File f)` Accepts files with the proper filename prefix.
    `int` | `compareTo(java.lang.Object o)` Compares two FileFilter objects alphanumerically.
    `java.lang.String` | `getDescription()` Returns the filter's description.
    `javax.swing.filechooser.FileFilter[]` | `getFilters()` Gets the list of file filters forming this filter combination.
    `static javax.swing.filechooser.FileFilter[]` | `sortFilters(javax.swing.filechooser.FileFilter[] filters)` Sorts the given list of file filters, and combines filters with identical descriptions into a combination filter that accepts anything any of its constituant filters do.
    `static javax.swing.filechooser.FileFilter[]` | `sortFilters(java.util.Vector filters)` Sorts the given list of file filters, and combines filters with identical descriptions into a combination filter that accepts anything any of its constituant filters do.
    `java.lang.String` | `toString()` Gets a string representation of this file filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### filts

          private javax.swing.filechooser.FileFilter[] filts

      List of filters to be combined.

    - #### desc

          private java.lang.String desc

      Description.

  - ### Constructor Detail

    - #### ComboFileFilter

          public ComboFileFilter(javax.swing.filechooser.FileFilter[] filters,
                                 java.lang.String description)

      Constructs a new filter from a list of other filters.

  - ### Method Detail

    - #### getFilters

          public javax.swing.filechooser.FileFilter[] getFilters()

      Gets the list of file filters forming this filter combination.

    - #### sortFilters

          public static javax.swing.filechooser.FileFilter[] sortFilters(javax.swing.filechooser.FileFilter[] filters)

      Sorts the given list of file filters, and combines filters with identical descriptions into a combination filter that accepts anything any of its constituant filters do.

    - #### sortFilters

          public static javax.swing.filechooser.FileFilter[] sortFilters(java.util.Vector filters)

      Sorts the given list of file filters, and combines filters with identical descriptions into a combination filter that accepts anything any of its constituant filters do.

    - #### accept

          public boolean accept(java.io.File f)

      Accepts files with the proper filename prefix.
      Specified by:
        `accept` in interface `java.io.FileFilter`
      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`

    - #### getDescription

          public java.lang.String getDescription()

      Returns the filter's description.
      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`

    - #### toString

          public java.lang.String toString()

      Gets a string representation of this file filter.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Compares two FileFilter objects alphanumerically.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`

Copyright © 2026 Open Microscopy Environment